---
- hosts: zabbix
  become: yes
  gather_facts: true
  vars:
    zabbix_url: "http://zabbix.test.int"
  pre_tasks:
    - set_fact:
        zabbix_host: "{{ zabbix_url | regex_findall('(?:https?\\://)?([\\w\\-\\.]+)') | first }}"

    - name: Update /etc/hosts with entry for zabbix_url
      lineinfile:
        path: "/etc/hosts"
        regexp: ".*\t{{ hostvars[inventory_hostname]['ansible_eth0']['ipv4']['address'] }}\t{{ zabbix_host }}"
        line: "{{ hostvars[inventory_hostname]['ansible_eth0']['ipv4']['address'] }}\t{{ zabbix_host }}"
        state: present
        backup: yes

  roles:
    - role: ansible_role_zabbix_server
      vars:
        zabbix_server_version: 5.0.14
        zabbix_server_hostname: localhost
        zabbix_server_database_user: zbx
        zabbix_server_database_password: S0l05Dy0EuuCvq
        zabbix_server_database_name: zabbix-server
        zabbix_server_web_url: "{{ zabbix_url }}"
        zabbix_server_web_password: zabbix
        zabbix_server_database_host: localhost
        zabbix_server_database_root_user: root
        zabbix_server_database_root_password: test
        zabbix_server_sourceip: "{{ hostvars[inventory_hostname]['ansible_eth0']['ipv4']['address'] }}"
